#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-BCs52OQWdWc6V7JIIxFL40
key:                  coinbase-pro-0.9.3.2-BCs52OQWdWc6V7JIIxFL40
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  a2cdf84182960f636578b1ed4af26d73
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-BCs52OQWdWc6V7JIIxFL40
depends:
    HsOpenSSL-0.11.7.5-IO1LxfjnJdaEaqGdiimUps
    aeson-2.1.2.0-6VydXJBWxd89BBQXwjEfAs
    aeson-casing-0.2.0.0-ITK7YLVcNlJA8dzpCeLkKP
    async-2.2.4-17F2m0fMLmE9RexONjnSWz base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-6kSuETksa1UJN2H3TADKKV exceptions-0.10.4
    http-api-data-0.5.1-CyP7rtlFCM8KWuxRBwcC5u
    http-client-0.7.13.1-6LaP0NYuUkCDVooC4mRPvr
    http-client-tls-0.3.6.1-87pGJVVNHUC346lLkcpv3r
    http-streams-0.8.9.6-GhenmPv8CGgAN0dwwK8vSW
    http-types-0.12.3-HJjFCIFOWy1Kz5qxjh7N70
    io-streams-1.5.2.2-INCO70sdx852EyzPU4ACRR
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    network-3.1.2.9-JFUTHgQH8Kt3iU96ei4bwB
    servant-0.19.1-HLyiUmKDZ9RBK2BcDU0X7w
    servant-client-0.19-VPy3YI1y0b7jx9r8SXl7n
    servant-client-core-0.19-4SZjz8F6BmgEyeJJLxdccs
    tasty-1.4.3-BCxQzJlbl4w7w3bp548DKx
    tasty-hunit-0.10.0.3-8y9FrAHgSAL7duSJqkUrcE text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unagi-streams-0.2.7-3KBBOMP5ggECP8ovgtsq6i
    unordered-containers-0.2.19.1-IiLQZF6DbPQFjcFD1585i8
    uuid-1.3.15-56NNDvR4bVy8w0zpttmpo8
    vector-0.13.0.0-Ig05MaAMeBqj8G3IIQCIl
    websockets-0.12.7.3-Llh3piQgxRD7tUGU16b0BM
    wuss-2.0.1.1-BHTfPaLVoJj1j99bIhJ7Am

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

